# if 0
#include "ucps2.h"
#include "ucp2_utils.h"

#define MAX_SIZE 256
__DM0 char RESULT[MAX_SIZE];

// Write to RESULT in DM0
void write_to_dm0(char* src, unsigned int size)
{
  size = (size > MAX_SIZE) ? MAX_SIZE : size;
  for (unsigned int i = 0; i < size; i++) {
    RESULT[i] = src[i];
  }
}

void print_string(char *string)
{
	unsigned int i = 0;
	while (string[i] != 0) {
		print_char(string[i]);
		i++;
	}
	return;
}

// print one char
void print_char(unsigned char src)
{
  char * ptr = (char *)0xffffffff; // Temporary simulator output address
  *ptr = src;
  return;
}

void print_int(unsigned int src)
{
  unsigned int * ptr = (unsigned int *)0xfffffff8; // Temporary simulator output address
  *ptr = src;
  return;
}
#endif
